package com.engine.salary.service;

import com.cloudstore.eccom.pc.table.WeaTableColumn;
import com.engine.salary.entity.setting.dto.PageListTemplateDTO;
import com.engine.salary.entity.setting.param.*;
import com.engine.salary.entity.setting.po.PageListTemplatePO;

import java.util.List;
import java.util.Map;

public interface SettingService {
    void savePageListSetting(PageListSettingSaveParam pageListSettingSaveParam);

    Map getPageListSetting(PageListSettingQueryParam param);

    PageListTemplateDTO getPageListTemplate(PageListTemplateQueryParam param);

    List<PageListTemplatePO> getPageListTemplates(PageListTemplateQueryParam queryParam);

    PageListTemplatePO savePageListTemplate(PageListTemplateSaveParam param);

    void changePageListTemplate(PageListTemplateChangeParam param);

    List<WeaTableColumn> getPageListColumns(String page);
}
